﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PR10ClassBC
{
    /// <summary>
    /// Создать unit-тест, тестирующий работу вашего метода, 
    /// который находит значение выражения 
    /// в практической работе №2 УП02.02.
    /// </summary>
    public class AlgorithmTest
    {
        /// <summary>
        /// Тестирумеый метод AlgorithmSolution1
        /// </summary>
        /// <param name="a">Переменная, ведённая пользователем</param>
        /// <param name="b">Переменная, ведённая пользователем</param>
        /// <param name="x">Переменная, ведённая пользователем</param>
        /// <returns>Возращает результат уравнения</returns>
        public string AlgorithmSolution1(double a, double b, double x)
        {
            double y = 2.4 * Math.Abs((Math.Pow(x, 2) + b) / a) + (a - b);
            y = y * Math.Pow(Math.Sin(a - b), 2) + Math.Pow(10, -2) * (x - b);
            return y.ToString("0.00");
        }
        /// <summary>
        /// Тестирумеый метод AlgorithmSolution2
        /// </summary>
        /// <param name="a">Переменная, ведённая пользователем</param>
        /// <param name="b">Переменная, ведённая пользователем</param>
        /// <param name="x">Переменная, ведённая пользователем</param>
        /// <returns>Возращает результат уравнения</returns>
        public string AlgorithmSolution2(double a, double b, double x)
        {
            double y = Math.Round(((a * x - Math.Sqrt(b)) / (5.7 * (Math.Pow(x, 2) + Math.Pow(b, 2)))) - ((Math.Abs(x + b) - Math.Pow(a, 2)) / Math.Pow(x, 2)) * Math.Tan(Math.Pow(b, 2)), 3);
            return y.ToString("0.00");
        }
        /// <summary>
        /// Тестирумеый метод AlgorithmSolution3
        /// </summary>
        /// <param name="x">Переменная, ведённая пользователем</param>
        /// <param name="y">Переменная, ведённая пользователем</param>
        /// <param name="z">Переменная, ведённая пользователем</param>
        /// <returns>Возращает результат уравнения</returns>
        public string AlgorithmSolution3(double x, double y, double z)
        {
            double w = Math.Round(Math.Pow(Math.Abs(Math.Cos(x) - Math.Cos(y)), (1 + 2 * Math.Pow(Math.Sin(y), 2))) * (1 + z + (Math.Pow(z, 2) / 2) + (Math.Pow(z, 3) / 3) + (Math.Pow(z, 4) / 4)), 4);
            return w.ToString("0.00");
        }
    }
}
