﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using PR10ClassBC;

namespace PR10TestUTP
{
    /// <summary>
    /// Создать unit-тест, тестирующий работу вашего метода, 
    /// который находит значение выражения 
    /// в практической работе №2 УП02.02.
    /// </summary>
    [TestClass]
    public class AlgorithmUnitTest
    {
        /// <summary>
        /// Тестируем метод AlgorithmSolution1
        /// Класса AlgorithmTest
        /// </summary>
        [TestMethod]
        public void AlgorithmSolution125_1()
        {
            //Переменная expected хранит в себе верное решение
            double expected = 45.21;

            //Переменная actual получает значение из класса AlgorithmTest
            //используя метод AlgorithmSolution1
            AlgorithmTest g = new AlgorithmTest();
            double actual = Convert.ToDouble(g.AlgorithmSolution1(1, 2, 5));

            //Сравнение expected и actual
            Assert.AreEqual(expected, actual);
        }
        /// <summary>
        /// Тестируем метод AlgorithmSolution2
        /// Класса AlgorithmTest
        /// </summary>
        [TestMethod]
        public void AlgorithmSolution125_2()
        {
            //Переменная expected хранит в себе верное решение
            double expected = -0.26;

            //Переменная actual получает значение из класса AlgorithmTest
            //используя метод AlgorithmSolution2
            AlgorithmTest g = new AlgorithmTest();
            double actual = Convert.ToDouble(g.AlgorithmSolution2(1, 2, 5));

            //Сравнение expected и actual
            Assert.AreEqual(expected, actual);
        }
        /// <summary>
        /// Тестируем метод AlgorithmSolution3
        /// Класса AlgorithmTest
        /// </summary>
        [TestMethod]
        public void AlgorithmSolution125_3()
        {
            //Переменная expected хранит в себе верное решение
            double expected = 192.30;

            //Переменная actual получает значение из класса AlgorithmTest
            //используя метод AlgorithmSolution3
            AlgorithmTest g = new AlgorithmTest();
            double actual = Convert.ToDouble(g.AlgorithmSolution3(1, 2, 5));

            //Сравнение expected и actual
            Assert.AreEqual(expected, actual);
        }
    }
}
