﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PR6ArrayWF
{
    /// <summary>
    /// Вариант - 18: Дан целочисленный массив размера N. 
    /// Удалить из массива все одинаковые элементы, оставив их первые вхождения
    /// </summary>
    public partial class Array : Form
    {
        int[] arrayA = new int[15];
        /// <summary>
        /// Метод NewMassive
        /// Создаёт массив и выводит его в поле tbOriginal
        /// </summary>
        public void NewMassive()
        {
            tbOriginal.Text = "";
            Random M = new Random();
            for (int i = 0; i < 15; ++i)
            {
                arrayA[i] = M.Next(-5, 6);
                tbOriginal.Text += $"Mas[{i}] = {arrayA[i]}" + Environment.NewLine;
            }
        }
        /// <summary>
        /// Метод ReceivedMassive
        /// Преобразует массив и выводит его в поле tbReceived
        /// </summary>
        public void ReceivedMassive()
        {
            tbReceived.Text = "";
            arrayA = arrayA.ToList().Distinct().ToArray();
            for (int i = 0; i < arrayA.Length; ++i)
            {
                tbReceived.Text += $"Mas[{i}] = {arrayA[i]}" + Environment.NewLine;
            }
        }
        /// <summary>
        /// Метод Array
        /// Инициализирует компоненты
        /// </summary>
        public Array()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Метод btnFill_Click
        /// обращается к методу NewMassive
        /// </summary>
        /// <param name="sender">Объект, вызвавший событие</param>
        /// <param name="e">Передает объект, относящийся к обрабатываемому событию</param>
        private void btnFill_Click(object sender, EventArgs e)
        {
            NewMassive();
        }
        /// <summary>
        /// Метод btnReplacement_Click
        /// обращается к методу ReceivedMassive
        /// </summary>
        /// <param name="sender">Объект, вызвавший событие</param>
        /// <param name="e">Передает объект, относящийся к обрабатываемому событию</param>
        private void btnReplacement_Click(object sender, EventArgs e)
        {
            ReceivedMassive();
        }
    }
}
