﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Deployment.Application;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PR5Strings
{
    public partial class fStrings : Form
    {
        /// <summary>
        /// Метод Сonclusion
        /// выбирает выбранную строку, разбивает её по словам
        /// и выводит изменённые слова
        /// </summary>
        public void Сonclusion()
        {
            lConclusion.Text = "";
            int index = lbInput.SelectedIndex;
            string str = (string)lbInput.Items[index];
            var words = str.Split(' ');
            foreach (var word in words)
            {
                if (word.Length > 1)
                {
                    string mixed_word = "";
                    mixed_word += word[word.Length - 1];
                    for (int i = 1; i < word.Length - 1; i++)
                    {
                        mixed_word += word[i];
                    }
                    mixed_word += word[0];
                    lConclusion.Text += $"{mixed_word} ";
                }
                else
                {
                    lConclusion.Text += $"{word} ";
                }
            }
        }
        /// <summary>
        /// Метод CyclicAlgorithms
        /// Инициализирует компоненты
        /// </summary>
        public fStrings()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Метод btnStart_Click
        /// обращается к методу Сonclusion
        /// </summary>
        /// <param name="sender">Объект, вызвавший событие</param>
        /// <param name="e">Передает объект, относящийся к обрабатываемому событию</param>
        private void btnStart_Click(object sender, EventArgs e)
        {
            Сonclusion();
        }
    }
}
