﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using PR9ClassBC;

namespace PR9TestUTP
{
    /// <summary>
    /// Создать unit-тест, тестирующий работу вашего метода, 
    /// который находит значение выражения 
    /// в практической работе №2 УП02.02.
    /// </summary>
    [TestClass]
    public class AlgorithmUnitTest
    {
        /// <summary>
        /// Тестируем метод AlgorithmSolution
        /// Класса AlgorithmTest
        /// </summary>
        [TestMethod]
        public void AlgorithmSolution125()
        {
            //Переменная expected хранит в себе верное решение
            double expected = 45.21;

            //Переменная actual получает значение из класса AlgorithmTest
            //используя метод AlgorithmSolution
            AlgorithmTest g = new AlgorithmTest();
            double actual = Convert.ToDouble(g.AlgorithmSolution(1, 2, 5));

            //Сравнение expected и actual
            Assert.AreEqual(expected, actual);
        }
    }
}
